# encoding: UTF-8
module ApplicationHelper

  def lang_label(object_name, method, ta = [], options = {})
    if ta.size<1 then text = nil else text = ta[@lng] end
    label(object_name, method, text, options)
  end
  def text_field_with_label(object_name, method, labelarray = [], options = {})
    lang_label(object_name, method, labelarray, options)  +
    text_field(object_name, method, options)
  end
  def date_select_with_label(object_name, method, labelarray = [], options = {}, html_options = {})
    lang_label(object_name, method, labelarray, options)  + 
    date_select(object_name, method, options, html_options).to_s
  end
  def t(*stringarray)
    if stringarray.size == 1
      stringarray=stringarray[0]
    end
    stringarray[@lng || 0]
  end
  def cislo(count, singular, plural=nil, dual = nil)
    "#{count || 0} " + ((count == 1 || count =~ /^1(\.0+)?$/) ? singular : (
      (2..4).include?(count) ? dual || plural || singular.pluralize : plural || singular.pluralize
    ))

  end
  def remove_link_unless_new_record(fields)
    unless fields.object.new_record?
      out = ''
      out << fields.hidden_field('_destroy')
      out << link_to_function("vymaž2", "$(this).parents('.#{fields.object.class.name.underscore}').hide(); $(this).previous().value = '1'")
      out.html_safe
    end
  end
  # see http://railscasts.com/episodes/197-nested-model-form-part-2
  def link_to_add_items(name, form)
    new_item = Item.new
    fields = f.fields_for(association, new_object, :child_index => "new_#{association}") do |builder|
      render(new_item, :form => form)
    end
    link_to_function(name, "add_fields(this, \"#{association}\", \"#{escape_javascript(fields)}\")")
  end
  def add_item_link(name, form)
    item_html = render(Item.new, :form => form)
    link_to_function name, "add_item_fields(\"#{escape_javascript(item_html)}\")"
  end
  def paginate_navigation(items)
    unless items.empty?
      will_paginate items, :previous_label=>t(['&laquo;&laquo;','Previous']),
                          :next_label=>t(['&raquo;&raquo;','Next'])
    end
  end
  def title(text)
    '<h1>' +text + '</h1>'
  end
  def formatpom(x, options={}) 
    x.to_s.to_multicash_h.to_s({:show_currency=>'always',:with_html => true, :delimiter=>'&nbsp;', :round=>true, :force_sign=>options[:force_sign]})
  end
  def content_tag_wrap_if(condition, name, options, &block)
    if condition
      content_tag name, options, &block
    else
      yield
      nil
    end
  end
end

$default_commodity = 'CZK'

